Subject: bug#64596: 30.0.50; On FIXME: in src/buffer.c:1481 (force-mode-line-update)

From: Eli Zaretskii <[email-masked]>
Date: Sun, 16 Jul 2023 10:15:28 +0300

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Sun, 16 Jul 2023 05:49:45 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> At least, when the current buffer is only displayed in a single,
> >> selected window, checking every window should not be necessary.
> >
> > The code which sets update_mode_lines doesn't know whether the current
> > buffer will be displayed in a single window by the time redisplay
> > kicks in.  It doesn't even know whether it will still be the current
> > buffer by that time.  Because the Lisp program that is running and
> > making the changes which cause update_mode_lines to be set can change
> > these things before it finishes.
> 
> If the selected window changes for any reason, redisplaying the
> previously selected window will be queued by select_window:

Yes, but what does this have to do with what I wrote?

My point is that where we set update_mode_lines we cannot yet know
whether only the selected window will have to be redisplayed.